# `XRootD_jll.jl` (v5.5.4+0)

[![deps](https://juliahub.com/docs/XRootD_jll/deps.svg)](https://juliahub.com/ui/Packages/XRootD_jll/Kw5a2?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/c1e388e582a696b8126376038299f51578640a33/X/XRootD/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `XRootD_jll.jl` have been built from these sources:

* compressed archive: https://github.com/xrootd/xrootd/releases/download/v5.5.4/xrootd-5.5.4.tar.gz (SHA256 checksum: `41a8557ea2d118b1950282b17abea9230b252aa5ee1a5959173e2534b7d611d3`)

## Platforms

`XRootD_jll.jl` is available for the following platforms:

* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc}` (`aarch64-linux-gnu-cxx03`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc}` (`aarch64-linux-gnu-cxx11`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc}` (`armv6l-linux-gnueabihf-cxx03`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc}` (`armv6l-linux-gnueabihf-cxx11`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc}` (`armv7l-linux-gnueabihf-cxx03`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc}` (`armv7l-linux-gnueabihf-cxx11`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc}` (`i686-linux-gnu-cxx03`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc}` (`i686-linux-gnu-cxx11`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc}` (`powerpc64le-linux-gnu-cxx03`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc}` (`powerpc64le-linux-gnu-cxx11`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc}` (`x86_64-linux-gnu-cxx03`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc}` (`x86_64-linux-gnu-cxx11`)

## Dependencies

The following JLL packages are required by `XRootD_jll.jl`:

* [`CompilerSupportLibraries_jll`](https://github.com/JuliaBinaryWrappers/CompilerSupportLibraries_jll.jl)
* [`JSON_C_jll`](https://github.com/JuliaBinaryWrappers/JSON_C_jll.jl)
* [`Libuuid_jll`](https://github.com/JuliaBinaryWrappers/Libuuid_jll.jl)
* [`OpenSSL_jll`](https://github.com/JuliaBinaryWrappers/OpenSSL_jll.jl)
* [`XML2_jll`](https://github.com/JuliaBinaryWrappers/XML2_jll.jl)
* [`Zlib_jll`](https://github.com/JuliaBinaryWrappers/Zlib_jll.jl)
* [`libxcrypt_legacy_jll`](https://github.com/JuliaBinaryWrappers/libxcrypt_legacy_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libXrdAppUtils`
* `LibraryProduct`: `libXrdBlacklistDecision`
* `LibraryProduct`: `libXrdBwm`
* `LibraryProduct`: `libXrdCksCalczcrc32`
* `LibraryProduct`: `libXrdCl`
* `LibraryProduct`: `libXrdClProxyPlugin`
* `LibraryProduct`: `libXrdCmsRedirectLocal`
* `LibraryProduct`: `libXrdCrypto`
* `LibraryProduct`: `libXrdCryptoLite`
* `LibraryProduct`: `libXrdCryptossl`
* `LibraryProduct`: `libXrdFfs`
* `LibraryProduct`: `libXrdHttp`
* `LibraryProduct`: `libXrdHttpUtils`
* `LibraryProduct`: `libXrdN2No2p`
* `LibraryProduct`: `libXrdOfsPrepGPI`
* `LibraryProduct`: `libXrdOssCsi`
* `LibraryProduct`: `libXrdOssSIgpfsT`
* `LibraryProduct`: `libXrdPfc`
* `LibraryProduct`: `libXrdPosix`
* `LibraryProduct`: `libXrdPosixPreload`
* `LibraryProduct`: `libXrdPss`
* `LibraryProduct`: `libXrdSec`
* `LibraryProduct`: `libXrdSecProt`
* `LibraryProduct`: `libXrdSecgsiAUTHZVO`
* `LibraryProduct`: `libXrdSecgsiGMAPDN`
* `LibraryProduct`: `libXrdSecpwd`
* `LibraryProduct`: `libXrdSecunix`
* `LibraryProduct`: `libXrdServer`
* `LibraryProduct`: `libXrdSsi`
* `LibraryProduct`: `libXrdSsiLib`
* `LibraryProduct`: `libXrdSsiLog`
* `LibraryProduct`: `libXrdSsiShMap`
* `LibraryProduct`: `libXrdThrottle`
* `LibraryProduct`: `libXrdUtils`
* `LibraryProduct`: `libXrdXml`
* `LibraryProduct`: `libXrdXrootd`
* `LibraryProduct`: `libXrfSecgsi`
* `LibraryProduct`: `libXrfSecsss`
* `ExecutableProduct`: `cconfig`
* `ExecutableProduct`: `cmsd`
* `ExecutableProduct`: `frm_admin`
* `ExecutableProduct`: `frm_purged`
* `ExecutableProduct`: `frm_xfragent`
* `ExecutableProduct`: `frm_xfrd`
* `ExecutableProduct`: `mpxstats`
* `ExecutableProduct`: `wait41`
* `ExecutableProduct`: `xrdacctest`
* `ExecutableProduct`: `xrdadler32`
* `ExecutableProduct`: `xrdcp`
* `ExecutableProduct`: `xrdcrc32c`
* `ExecutableProduct`: `xrdfs`
* `ExecutableProduct`: `xrdgsiproxy`
* `ExecutableProduct`: `xrdgsitest`
* `ExecutableProduct`: `xrdmapc`
* `ExecutableProduct`: `xrdpfc_print`
* `ExecutableProduct`: `xrdpinls`
* `ExecutableProduct`: `xrdpwdadmin`
* `ExecutableProduct`: `xrdsssadmin`
* `ExecutableProduct`: `xrootd`
